Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.client
Class AdminRMISSLClientSocketFactoryEnvImpl

    java.lang.Object
      com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnvImpl

All Implemented Interfaces:
  com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv

public final class AdminRMISSLClientSocketFactoryEnvImpl
extends java.lang.Object
implements com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv

Not for public use

Class which encapsulates knowledge of how to exchange data between the RMISSLClientSocketFactory stub and the JVM into which it gets downloaded.

The client code configures this class so the RMI client stub may obtain any environmental overrides, thus enabling the client to control how the RMI stub behaves.

This class is global for all outgoing connections for RMI.

Method Summary
`javax.net.ssl.HandshakeCompletedListener` | `getHandshakeCompletedListener()`
`static AdminRMISSLClientSocketFactoryEnvImpl` | `getInstance()`
`boolean` | `getTrace()`
`javax.net.ssl.TrustManager[]` | `getTrustManagers()`
`java.lang.Object` | `getValue(java.lang.String key)`
`void` | `setHandshakeCompletedListener(javax.net.ssl.HandshakeCompletedListener listener)` Set a HandshakeCompletedListener (optional).
`void` | `setTrace(boolean trace)` Set tracing on or off.
`void` | `setTrustManagers(javax.net.ssl.TrustManager[] trustManagers)` Set the TrustManagers.
`java.lang.Object` | `setValue(java.lang.String key, java.lang.Object value)` No values are currently supported; this routine exists for future extensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AdminRMISSLClientSocketFactoryEnvImpl getInstance()

### getValue

    public java.lang.Object getValue(java.lang.String key)

  Specified by:
    `getValue` in interface `com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv`

### setValue

    public java.lang.Object setValue(java.lang.String key,
                                     java.lang.Object value)

  No values are currently supported; this routine exists for future extensions.

  Parameters:
    `key` -
    `value` -

### setTrustManagers

    public void setTrustManagers(javax.net.ssl.TrustManager[] trustManagers)

  Set the TrustManagers. Removes any existing trust-store and trust-store password as the TrustManagers will be used instead.

  Parameters:
    `trustManagers` -

### getTrustManagers

    public javax.net.ssl.TrustManager[] getTrustManagers()

  Specified by:
    `getTrustManagers` in interface `com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv`

### setHandshakeCompletedListener

    public void setHandshakeCompletedListener(javax.net.ssl.HandshakeCompletedListener listener)

  Set a HandshakeCompletedListener (optional).

  Parameters:
    `listener` -

### getHandshakeCompletedListener

    public javax.net.ssl.HandshakeCompletedListener getHandshakeCompletedListener()

  Specified by:
    `getHandshakeCompletedListener` in interface `com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv`

### setTrace

    public void setTrace(boolean trace)

  Set tracing on or off.

  Specified by:
    `setTrace` in interface `com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv`
  Parameters:
    `trace` -

### getTrace

    public boolean getTrace()

  Specified by:
    `getTrace` in interface `com.sun.appserv.management.client.AdminRMISSLClientSocketFactoryEnv`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.